/* $Id: wd.h,v 1.1 1993/10/25 22:35:54 cwikla Exp $ */

/*
**
** Copyright (c) 1993 by Wolfram Research, Inc.  All Rights Reserved.
** 
** WOLFRAM RESEARCH, INC. ("WRI") DOES NOT WARRANT THAT THE SOFTWARE CONTAINED IN
** THIS FILE IS FREE FROM BUGS AND OMISSIONS; THE SOFTWARE IS PROVIDED AS IS.
** WRI MAKES NO REPRESENTATIONS, EXPRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE,
** INCLUDING WITHOUT LIMITATIONS ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR
** FITNESS FOR A PARTICULAR PURPOSE, ALL OF WHICH IS EXPRESSLY DISCLAIMED.  WRI
** DOES NOT WARRANT THAT THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR THAT ITS
** OPERATION WILL BE UNINTERRUPTED OR ERROR FREE.
** 
** WRI DOES NOT WARRANT THAT THE SOFTWARE CONTAINED IN THIS FILE DOES NOT
** INFRINGE UPON THE INTELLECTUAL PROPERTY RIGHTS OF ANY THIRD PARTIES.
** 
** USE OF THE SOFTWARE CONTAINED IN THIS FILE IS ENTIRELY AT YOUR OWN RISK.
** 
** To the extent that it is authorized to do so, Wolfram Research grants the
** recipient of this software permission to use the software for his/her own
** personal purposes subject the user's acceptance of the terms stated above
** and the user's inclusion of Wolfram Reseach's copyright notice and disclaimers
** in any reproduction and/or derivative of this file.  
** 
**
**
**	John L. Cwikla
**	cwikla@wri.com
** 	Wolfram Research, Inc
*/



#ifndef _wd_h
#define _wd_h

typedef struct _ColorInfo
{
    Colormap colormap;
    unsigned long rmask;
    unsigned long gmask;
    unsigned long bmask;
    unsigned long defaultPixel;
    int numberOfColors;
    XColor *colors;
    int (*allocFunc)();
	int visualClass;
} ColorInfo;



extern XImage *GetXWDImage(Display *theDisplay, Visual *theVisual, Colormap theColormap, int theDepth, unsigned char *data);
extern unsigned char *PutXWDImage(Display *theDisplay, Visual *theVisual, Colormap theColormap, XImage *image, int *retLen);
extern unsigned int XImageSize(XImage *image);

#endif /* _wd_h */
