/* $Id: xwdclip.h,v 1.1 1993/10/25 22:35:58 cwikla Exp $ */

/*
**
** Copyright (c) 1993 by Wolfram Research, Inc.  All Rights Reserved.
** 
** WOLFRAM RESEARCH, INC. ("WRI") DOES NOT WARRANT THAT THE SOFTWARE CONTAINED IN
** THIS FILE IS FREE FROM BUGS AND OMISSIONS; THE SOFTWARE IS PROVIDED AS IS.
** WRI MAKES NO REPRESENTATIONS, EXPRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE,
** INCLUDING WITHOUT LIMITATIONS ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR
** FITNESS FOR A PARTICULAR PURPOSE, ALL OF WHICH IS EXPRESSLY DISCLAIMED.  WRI
** DOES NOT WARRANT THAT THE SOFTWARE WILL MEET YOUR REQUIREMENTS OR THAT ITS
** OPERATION WILL BE UNINTERRUPTED OR ERROR FREE.
** 
** WRI DOES NOT WARRANT THAT THE SOFTWARE CONTAINED IN THIS FILE DOES NOT
** INFRINGE UPON THE INTELLECTUAL PROPERTY RIGHTS OF ANY THIRD PARTIES.
** 
** USE OF THE SOFTWARE CONTAINED IN THIS FILE IS ENTIRELY AT YOUR OWN RISK.
** 
** To the extent that it is authorized to do so, Wolfram Research grants the
** recipient of this software permission to use the software for his/her own
** personal purposes subject the user's acceptance of the terms stated above
** and the user's inclusion of Wolfram Reseach's copyright notice and disclaimers
** in any reproduction and/or derivative of this file.  
** 
**
**
**	John L. Cwikla
**	cwikla@wri.com
** 	Wolfram Research, Inc
*/



#ifndef _xwdclip_h
#define _xwdclip_h

typedef struct _CutBuffer
{
	XImage *image;
	unsigned char *data;
	long length;
} CutBuffer;

#define MAX_BUFFER 10

#define QUIT 1
#define NEXT 2
#define PREV 3
#define SAVE 4
#define OPEN 5
#define CLEAR 6

#endif /* _xwdclip_h */
